Subject: bug#53632: Function definition history

From: Stefan Monnier <[email-masked]>
Date: Fri, 04 Feb 2022 14:43:51 -0500

Michael Albinus [2022-02-04 18:43:44] wrote:
> Stefan Monnier <[email-masked]> writes:
>> Maybe a simpler option is to give them a recognizable name
>> (e.g. including "preloaded" or "AL" or somesuch in their name)?
>>
>> In any case, those parts of the test47 are actually testing
>> loadhist.el rather than Tramp, so I'd recommend you don't worry too much
>> about those functions.
>>
>> I'd focus instead on the parts that verify proper functioning of the code
>> you put in `tramp-unload-hook`.
>
> Will see. In fact, it tests already the functionality of the
> unload-hooks, like cleaning up other hooks, and alike.

Indeed it already does, and I just meant to clarify that I didn't mean
to throw out the whole test47.

>> PS: BTW, why is `tramp-unload-file-name-handlers` preloaded?
>> It doesn't seem like it can be meaningfully used before Tramp is loaded.
>
> The name is a little bit misleading, it is rather a
> `tramp-deactivate-file-name-handlers' functionality.
>
> It is autoloaded, because it is used in `tramp-autoload-file-name-handler',
> which is also autoloaded.

I guess the part I don't understand is why we need it there.
It's called right before loading `tramp.el` but `tramp.el` will
re-execute it anyway when it runs `tramp-register-file-name-handlers`,
so it seems redundant.

        Stefan